Bug 732107 - CVE-2011-3170 cups: gif_read_lzw() foes not properly handle first code word in an LZW stream, which may lead to arbitrary code execution [fedora-all]
Summary: CVE-2011-3170 cups: gif_read_lzw() foes not properly handle first code word i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-3170
TreeView+ depends on / blocked
 
Reported: 2011-08-19 19:47 UTC by Vincent Danen
Modified: 2012-03-14 17:13 UTC (History)
2 users (show)

Fixed In Version: cups-1.4.8-2.fc14
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-14 17:13:25 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-08-19 19:47:22 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=732106

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Tim Waugh 2011-08-30 14:24:12 UTC
This was fixed in:
  cups-1.4.8-2.fc14
  cups-1.4.8-2.fc15
  cups-1.5.0-5.fc16

Comment 2 Jiri Popelka 2012-03-14 17:13:25 UTC
Fixed versions are in stable repositories of all Fedora branches.


Note You need to log in before you can comment on or make changes to this bug.